# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Tue May 11 23:35:29 2021
# ------------------------------------------------

package:
  name: flake8
  version: 3.9.2
source:
  sha256: 07528381786f2a6237b061f6e96610a4167b226cb926e2aa2b6b1d78057c576b
  url: https://pypi.io/packages/source/f/flake8/flake8-3.9.2.tar.gz
build:
  entry_points:
    - flake8 = flake8.main.cli:main
  noarch: python
  number: '0'
  script: /tmp/build/80754af9/flake8_1620776156532/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - attrs 20.3.0 pyhd3eb1b0_0
    - ca-certificates 2021.4.13 h06a4308_1
    - certifi 2020.12.5 py39h06a4308_0
    - iniconfig 1.1.1 pyhd3eb1b0_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - more-itertools 8.7.0 pyhd3eb1b0_0
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - packaging 20.9 pyhd3eb1b0_0
    - pip 21.0.1 py39h06a4308_0
    - pluggy 0.13.1 py39h06a4308_0
    - py 1.10.0 pyhd3eb1b0_0
    - pyparsing 2.4.7 pyhd3eb1b0_0
    - pytest 6.2.3 py39h06a4308_2
    - pytest-runner 5.3.0 pyhd3eb1b0_0
    - python 3.9.4 hdb3f193_0
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - six 1.15.0 py39h06a4308_0
    - sqlite 3.35.4 hdfb4753_0
    - tk 8.6.10 hbc83047_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - importlib-metadata
    - mccabe >=0.6.0,<0.7.0
    - pycodestyle >=2.7.0,<2.8.0
    - pyflakes >=2.3.0,<2.4.0
    - python >=3.6
    - setuptools >=30.0.0
test:
  commands:
    - flake8 --ignore=D203,W503,E203 src/flake8 tests/integration tests/unit setup.py
  imports:
    - flake8
  source_files:
    - setup.py
    - src/flake8
    - tests/integration
    - tests/unit
about:
  dev_url: https://gitlab.com/pycqa/flake8
  doc_url: http://flake8.pycqa.org/
  home: http://flake8.pycqa.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Your Tool For Style Guide Enforcement
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - aydinhan
    - croth1
    - dopplershift
    - goanpeca
    - sigmavirus24
